// Wiersz 733
function Sizzle( selector, context, results, seed ) { /* ... */ }

// Wiersz 2678
jQuery.find = Sizzle;

// Wiersz 2769
jQuery.fn.extend( {
	find: function( selector ) {
		/* 15 wierszy kodu */
		for ( i = 0; i < len; i++ ) {
			jQuery.find( selector, self[ i ], ret );
		}
		/* 3 wiersze kodu */
		return ret;
	}
} );



// Wiersz 71
jQuery = function( selector, context ) {

	// Obiekt jQuery to właściwie tylko rozszerzony konstruktor init
	// Konstruktor init jest wymagany w wypadku wywołania biblioteki jQuery (jeśli jej nie dołączono, należy jedynie 
	// umożliwić zgłoszenie błędu)
	return new jQuery.fn.init( selector, context );
};

// Wiersz 2822
// Prosty sposób sprawdzania łańcuchów HTML
// Określanie priorytetu dla #id za pomocą <tag> w celu uniknięcia ataku XSS za pośrednictwem location.hash (#9521)
// Ścisłe rozpoznawanie danych HTML (#11290: musi rozpoczynać się od znaku <)
rquickExpr = /^(?:\s*(<[\w\W]+>)[^>]*|#([\w-]*))$/,
// Wiersz 2827
init = jQuery.fn.init = function( selector, context, root ) {
	/* 12 wierszy kodu */
	if ( typeof selector === "string" ) {
		if (/* ... */) {
			/* 3 wiersze kodu */
		} else {
			match = rquickExpr.exec( selector );
		}

		// Dopasowanie kodu HTML lub sprawdzenie, czy nie określono żadnego kontekstu dla #id
		if ( match && ( match[ 1 ] || !context ) ) {

			// UCHWYT: $(html) -> $(array)
			if ( match[ 1 ] ) {
			/* 27 wierszy kodu */
			// UCHWYT: $(#id)
			} else {
				elem = document.getElementById( match[ 2 ] );

				// Obsługa: Blackberry 4.6
				// gEBID zwraca węzły, których nie ma już w dokumencie (#6963)
				if ( elem && elem.parentNode ) {

					// Wprowadzenie elementu bezpośrednio do obiektu jQuery
					this.length = 1;
					this[ 0 ] = elem;
				}

				this.context = document;
				this.selector = selector;
				return this;
			}

		// UCHWYT: $(expr, $(...))
		} else if ( !context || context.jquery ) {
			return ( context || root ).find( selector );

		// UCHWYT: $(expr, context)
		// (jest to po prostu odpowiednik: $(kontekst).find(wyrażenie)
		} else {
			return this.constructor( context ).find( selector );
		}
	} /* else ... 21 wierszy kodu */
};
